> For the complete documentation index, see [llms.txt](https://docs.calypso.money/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.calypso.money/api-reference/report-api.md).

# Report API

API for getting reports

## Get payout report

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Report API","description":"API for getting reports"}],"servers":[{"url":"https://api.calypso.money","description":"Generated server url"}],"paths":{"/api/v1/report/payout":{"post":{"tags":["Report API"],"summary":"Get payout report","description":"Permission annotations:","operationId":"buildPayoutReport","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerPgReportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AnyResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerPgReportRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"pattern":"^0x[0-9a-fA-F]{40}$","type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/PgReportRequestDTO"}},"description":"Object with request data"},"PgReportRequestDTO":{"required":["currencyList","firstDate","lastDate","zoneOffset"],"type":"object","properties":{"firstDate":{"type":"string","description":"Start date","format":"date-time"},"lastDate":{"type":"string","description":"End date","format":"date-time"},"currencyList":{"type":"array","description":"Currency list","items":{"$ref":"#/components/schemas/Currency"}},"zoneOffset":{"type":"string","description":"Timezone offset","default":"+00:00"}},"description":"Report request data"},"Currency":{"type":"string"},"AnyResponseDTO":{"required":["data"],"type":"object","properties":{"data":{"type":"object"}}},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Get invoice report

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Report API","description":"API for getting reports"}],"servers":[{"url":"https://api.calypso.money","description":"Generated server url"}],"paths":{"/api/v1/report/invoice":{"post":{"tags":["Report API"],"summary":"Get invoice report","description":"Permission annotations:","operationId":"buildInvoiceReport","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerPgReportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AnyResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerPgReportRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"pattern":"^0x[0-9a-fA-F]{40}$","type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/PgReportRequestDTO"}},"description":"Object with request data"},"PgReportRequestDTO":{"required":["currencyList","firstDate","lastDate","zoneOffset"],"type":"object","properties":{"firstDate":{"type":"string","description":"Start date","format":"date-time"},"lastDate":{"type":"string","description":"End date","format":"date-time"},"currencyList":{"type":"array","description":"Currency list","items":{"$ref":"#/components/schemas/Currency"}},"zoneOffset":{"type":"string","description":"Timezone offset","default":"+00:00"}},"description":"Report request data"},"Currency":{"type":"string"},"AnyResponseDTO":{"required":["data"],"type":"object","properties":{"data":{"type":"object"}}},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Get incoming report

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Report API","description":"API for getting reports"}],"servers":[{"url":"https://api.calypso.money","description":"Generated server url"}],"paths":{"/api/v1/report/incoming":{"post":{"tags":["Report API"],"summary":"Get incoming report","description":"Permission annotations:","operationId":"buildIncomingTransactionsReport_1","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerPgReportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AnyResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerPgReportRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"pattern":"^0x[0-9a-fA-F]{40}$","type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/PgReportRequestDTO"}},"description":"Object with request data"},"PgReportRequestDTO":{"required":["currencyList","firstDate","lastDate","zoneOffset"],"type":"object","properties":{"firstDate":{"type":"string","description":"Start date","format":"date-time"},"lastDate":{"type":"string","description":"End date","format":"date-time"},"currencyList":{"type":"array","description":"Currency list","items":{"$ref":"#/components/schemas/Currency"}},"zoneOffset":{"type":"string","description":"Timezone offset","default":"+00:00"}},"description":"Report request data"},"Currency":{"type":"string"},"AnyResponseDTO":{"required":["data"],"type":"object","properties":{"data":{"type":"object"}}},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Get fiat report

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Report API","description":"API for getting reports"}],"servers":[{"url":"https://api.calypso.money","description":"Generated server url"}],"paths":{"/api/v1/report/fiat":{"post":{"tags":["Report API"],"summary":"Get fiat report","description":"Permission annotations:","operationId":"buildFiatReport","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerPgReportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AnyResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerPgReportRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"pattern":"^0x[0-9a-fA-F]{40}$","type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/PgReportRequestDTO"}},"description":"Object with request data"},"PgReportRequestDTO":{"required":["currencyList","firstDate","lastDate","zoneOffset"],"type":"object","properties":{"firstDate":{"type":"string","description":"Start date","format":"date-time"},"lastDate":{"type":"string","description":"End date","format":"date-time"},"currencyList":{"type":"array","description":"Currency list","items":{"$ref":"#/components/schemas/Currency"}},"zoneOffset":{"type":"string","description":"Timezone offset","default":"+00:00"}},"description":"Report request data"},"Currency":{"type":"string"},"AnyResponseDTO":{"required":["data"],"type":"object","properties":{"data":{"type":"object"}}},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Get exchange report

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Report API","description":"API for getting reports"}],"servers":[{"url":"https://api.calypso.money","description":"Generated server url"}],"paths":{"/api/v1/report/exchange":{"post":{"tags":["Report API"],"summary":"Get exchange report","description":"Permission annotations:","operationId":"buildExchangeTransactionsReport","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerPgReportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AnyResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerPgReportRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"pattern":"^0x[0-9a-fA-F]{40}$","type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/PgReportRequestDTO"}},"description":"Object with request data"},"PgReportRequestDTO":{"required":["currencyList","firstDate","lastDate","zoneOffset"],"type":"object","properties":{"firstDate":{"type":"string","description":"Start date","format":"date-time"},"lastDate":{"type":"string","description":"End date","format":"date-time"},"currencyList":{"type":"array","description":"Currency list","items":{"$ref":"#/components/schemas/Currency"}},"zoneOffset":{"type":"string","description":"Timezone offset","default":"+00:00"}},"description":"Report request data"},"Currency":{"type":"string"},"AnyResponseDTO":{"required":["data"],"type":"object","properties":{"data":{"type":"object"}}},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```

## Get balance report

> Permission annotations:

```json
{"openapi":"3.0.1","info":{"title":"Public API","version":"dev"},"tags":[{"name":"Report API","description":"API for getting reports"}],"servers":[{"url":"https://api.calypso.money","description":"Generated server url"}],"paths":{"/api/v1/report/balance":{"post":{"tags":["Report API"],"summary":"Get balance report","description":"Permission annotations:","operationId":"buildBalanceReport_1","parameters":[{"name":"Key","in":"header","required":true,"schema":{"type":"string"}},{"name":"Sign","in":"header","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/WithAccountContainerPgReportRequestDTO"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/AnyResponseDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/PublicGatewayErrorResponse"}}}}}}}},"components":{"schemas":{"WithAccountContainerPgReportRequestDTO":{"required":["account","payload","timestamp"],"type":"object","properties":{"account":{"pattern":"^0x[0-9a-fA-F]{40}$","type":"string","description":"Merchant account ID. Request will be sent for this account"},"timestamp":{"type":"integer","description":"Current unix UTC timestamp in milliseconds. Must not be less than 3 minutes in the past and not greater than 3 minutes in the future","format":"int64"},"payload":{"$ref":"#/components/schemas/PgReportRequestDTO"}},"description":"Object with request data"},"PgReportRequestDTO":{"required":["currencyList","firstDate","lastDate","zoneOffset"],"type":"object","properties":{"firstDate":{"type":"string","description":"Start date","format":"date-time"},"lastDate":{"type":"string","description":"End date","format":"date-time"},"currencyList":{"type":"array","description":"Currency list","items":{"$ref":"#/components/schemas/Currency"}},"zoneOffset":{"type":"string","description":"Timezone offset","default":"+00:00"}},"description":"Report request data"},"Currency":{"type":"string"},"AnyResponseDTO":{"required":["data"],"type":"object","properties":{"data":{"type":"object"}}},"PublicGatewayErrorResponse":{"required":["errorCode","message","traceId"],"type":"object","properties":{"traceId":{"type":"string"},"errorCode":{"type":"string"},"message":{"type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.calypso.money/api-reference/report-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
